/********************************** <lalVerbatim file="LALInitBarycenterHV">
Author: Cutler, C.
$Id: LALInitBarycenter.h,v 1.1 2001/08/02 00:22:09 teviet Exp $
*********************************** </lalVerbatim> */

/* <lalLaTeX>

\section{Header \texttt{LALInitBarycenter.h}}
\label{s:LALInitBarycenter.h}

Provides a routine for reading Earth and Sun position information from
data files.
 

\subsection*{Synopsis}

\begin{verbatim}
#include "LALInitBarycenter.h"
\end{verbatim}

\noindent This header covers the routine \verb@LALInitBarycenter.c@.

</lalLaTeX> */



#ifndef _LALINITBARYCENTER_H    /* Protect against double-inclusion */
#define _LALINITBARYCENTER_H

#include <lal/LALBarycenter.h>

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (LALINITBARYCENTERH,"$Id: LALInitBarycenter.h,v 1.1 2001/08/02 00:22:09 teviet Exp $");

/* <lalErrTable file="LALInitBarycenterHErrorTable"> */
#define LALINITBARYCENTERH_EOPEN 1
#define LALINITBARYCENTERH_EEPHFILE 32

#define LALINITBARYCENTERH_MSGEOPEN "Could not open ephemeris file."
#define LALINITBARYCENTERH_MSGEEPHFILE "Error in reading ephemeris file."
/* </lalErrTable> */

/* <lalLaTeX>
\subsection*{Error conditions}
\vspace{0.1in}
\input{LALInitBarycenterHErrorTable}
</lalLaTeX> */

/* Function prototypes. */

void LALInitBarycenter(LALStatus *, EphemerisData *);


/********************************************************** <lalLaTeX>
\vfill{\footnotesize\input{LALInitBarycenterHV}}
\newpage\input{LALInitBarycenterC}
******************************************************* </lalLaTeX> */

#ifdef  __cplusplus
}
#endif      /* Close C++ protection */

#endif      /* Close double-include protection */























